Windows用のコディインストールエラープラットフォームアップデートを修正 (KB2670838) 必須

によって | 10月 25, 2017

Windows用のコディセットアップエラー更新 (KB2670838) 必須

一部のWindows 7 SP1のユーザーが自分のPC上でコディ17.x​​クリプトンをインストールする問題を抱えています. メッセージは述べています “Windows用のプラットフォーム更新プログラム (KB2670838) 必要とされている. ダウンロードし、Windowsは、再度セットアップを実行するためにプラットフォーム更新プログラムをインストールします。”.

変に, ユーザーはすでに自分のシステムにWindows KB2670838プラットフォームの更新プログラムをインストールしているものの、エラーメッセージが消えません. この予期しない動作は、多くのWindowsを残しました 7 SP1のユーザー (32ビットまたは64ビットのいずれか) コディをインストールすることができませんでしぶら下げ 17 上記.

このコディのインストールの問題は、しばらくの間、回避されています. 以来起こって公式コディのフォーラムでこのエラーについての議論があります。 2016 コディの最初のリリース後に右 17.1. しかしながら, コディの公式開発者はまだ、エラーのどのような原因を把握しようとしているすべてのユーザーとのための理想的なソリューションはまだありません.

私は、コディインストールエラーを修正するために解決するいくつかの問題点を列挙されています “Windows用のプラットフォーム更新プログラム (KB2670838)”. この修正のための様々なソリューションがあります。, しかしながら, 一つの解決策はあなたのためではなく他人のために働くこと. そう, あなたはどちらのスーツのあなたを試してみて.

私たちは、問題解決に移動する前に、, あなたは、Windows用かどうかのプラットフォームの更新をチェックする必要が (KB2670838) すでにシステムにインストール.

Windowsのを確認する方法 (KB2670838) プラットフォームのアップデートがインストールされていませんか

  1. クリック スタートメニュー
  2. タイプ ビューインストールされた更新プログラム 利用できるフォーム上

    Windows用のコディインストールエラーのプラットフォームアップデート (KB2670838) 必要なフィックスビューインストールされた更新プログラム

    ビューインストール済みのアップデートを入力

  3. その後、クリック ビューインストールされた更新プログラム 結果に
  4. かどうかを参照してください。 Microsoft Windowsが更新します (KB2670838) 既にインストールされているかどうか

    Windows用のコディインストールエラーのプラットフォームアップデート (KB2670838) 必要なフィックス結果

    Microsoft Windowsが更新します (KB2670838) 既にインストールされています

リストにはKB2670838が存在しない場合, その後、あなたはそれを最初にインストールする必要があります. ここからダウンロードします マイクロソフトの公式ページ. しかしながら, あなたはアップデートがインストールされてしまったが、問題が続く場合, あなたは、以下の修正を読み続けることができます.

Windows用のコディインストールエラープラットフォームアップデートを修正 (KB2670838) 必須

ここでは、このコディ・セットアップ・エラーを修正するための様々な方法があります. 私は、より高度なステップに最も簡単なのソリューションを注文しました.

方法 1: 最初のコディのインストール 17.0 クリプトンバージョン

コディをインストール 17.0 クリプトンのバージョンとないコディ17.x​​以上. セットアップエラーはコディのためにのみ発生します 17.0 コディ含む上記のバージョン 17.1, 17.2, 17.3, 17.4 最新バージョンコディ 17.5.

フォーラムから一つの開発者は、コディ17.x​​上のエラーは、初期設定でWindows Updateのバージョンを確認するWindows Updateの検出コマンドによって引き起こされていることが疑わ. ユーザーの前に渡されたこのコード必見は、Windows上でコディをインストールし始めました. しかしながら, コマンドのこのラインはまだコディクリプトン上にある以前のバージョンを適用していません 17.0.

そう, 第1の解決策はコディクリプトンバージョンをインストールされています 17.0 代わりに、次の後継バージョンの. あなたはKODIの間で経験する多くの変更はありません 17.0 特に、ユーザインタフェースのための上記とコディ17.x. UIはまったく同じです, したがって、あなたはあなたの好みをインストールする任意の違いステップを見つけることができません サードパーティのアドオン.

あなたはからウィンドウの古いバージョンコディを得ることができます コディのダウンロードページ.

方法 2: Windowsのアプリケーションとの互換性のトラブルシューティングを使用します

Windowsのアプリケーションとの互換性のトラブルシューティングを使用します. これは、インストールする前にアプリをチェックするには、Windowsからの機能に組み込まれています. それはあなたがアプリケーションのセットアップのための不足している部品やその他の問題を検出することができます.

この修正は、多くのフォーラムのユーザーコディ・セットアップの問題を解決しました, これが好きな、あなたが試すことができます最も簡単なステップであります.

  1. 右クリック あなたのコディのインストールファイルを選択し、次に 互換性のトラブルシューティング

    Windows用のコディインストールエラーのプラットフォームアップデート (KB2670838) 必要なフィックス・トラブルシューティングの互換性

    右クリック -> 互換性のトラブルシューティング

  2. Windowsが問題を検出するためにしばらくお待ちください. 今, クリック “プログラムを起動します” コディインストールアプリを開きます.

    Windows用のコディインストールエラーのプラットフォームアップデート (KB2670838) 必要なプログラムを修正し、起動します

    プログラムを起動します

このソリューションは、ほとんどのユーザーのために正常に動作します. これは、Windows用のコディのインストールエラープラットフォーム更新プログラムを修正しようとすることができる最も簡単な方法です (KB2670838).

返信を残します

あなたのメールアドレスが公開されることはありません. 必須フィールドは、マークされています *